package com.gxzc.zen.cache

import com.gxzc.zen.base.BaseTestKt
import org.junit.Test
import org.springframework.http.MediaType
import org.springframework.test.web.servlet.request.MockMvcRequestBuilders.get
import org.springframework.test.web.servlet.result.MockMvcResultMatchers.content
import org.springframework.test.web.servlet.result.MockMvcResultMatchers.status

/**
 *
 * @author NorthLan at 2018/2/5
 */
class TestCacheController : BaseTestKt() {

    @Test
    fun loadUser() {
        mockMvc.perform(get("/")
                .accept(MediaType.parseMediaType("application/json;charset=UTF-8")))
                .andExpect(status().isOk)
                .andExpect(content().contentType("application/json"))
    }
}