package com.gxzc.zen.api.sys.service

import com.gxzc.zen.api.sys.model.SysUser
import com.gxzc.zen.common.base.BaseService

/**
 * <p>
 * 用户管理 服务类
 * </p>
 *
 * @author NorthLan123
 * @since 2018-02-06
 */
interface ISysUserService : BaseService<SysUser> {
    fun getUserByIdCacheable(id: Long): SysUser
    fun getUserByAccountCacheable(account: String): SysUser?
}
